
Ryzom - Bug # 1474

Status: Resolved Priority: Low
Author: cjlpa Category: Build
Created: 05/23/2012 Assignee: kervala
Updated: 11/11/2012 Due date:
Subject: typedef conflict between /usr/include/mysql/my_global.h and nel/include/nel/misc/types_nl.h
Description

types_nl.h defines uint64 as uint_t
my_global.h defines uint64 as ulonglong

which leads to a conflict when compiling mysql_wrapper.cpp

(MySql server version: 5.1.61-3 (Debian))

History
#1 - 05/23/2012 03:09 pm - kervala

Thanks for the report ! I'll try to compile servers under Ubuntu.

I'll see if we really need to include my_global.h or if we can add some defines to avoid it.

#2 - 05/24/2012 12:59 pm - kervala
- Status changed from New to Resolved
- Assignee set to kervala
- Target version set to Version 0.9.0
- % Done changed from 0 to 100

Fixed in Revision r2205

#3 - 06/14/2012 03:12 pm - kervala

Applied in changeset commit:7b9b97d2e542.
